Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 533376 - app-misc/workrave 1.10.5 version bump
Summary: app-misc/workrave 1.10.5 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2014-12-23 09:32 UTC by Arne Babenhauserheide
Modified: 2015-01-14 13:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
workrave-1.10.5.ebuild (workrave-1.10.5.ebuild,2.05 KB, text/plain)
2014-12-23 09:34 UTC, Arne Babenhauserheide
Details
workrave-1.10.5.ebuild (workrave-1.10.5.ebuild,2.28 KB, text/plain)
2014-12-23 11:01 UTC, Arne Babenhauserheide
Details
metadata.xml (metadata.xml,671 bytes, application/xml)
2014-12-23 11:02 UTC, Arne Babenhauserheide
Details
workrave-1.10.5.ebuild (workrave-1.10.5.ebuild,2.28 KB, text/plain)
2014-12-23 11:07 UTC, Arne Babenhauserheide
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arne Babenhauserheide 2014-12-23 09:32:01 UTC
Updates on Workrave have been happening on github, directly uploading copyies of the tracked source instead of packages with ./configure.

I’ll attach an ebuild which builds from github.

Reproducible: Always




From the NEWS file:

* Workrave 1.10.5
** Updated tranlations:
- Danish (Frederik Svarre)
** Updates Desktop files (Francois Marier, Mike Manger)
* Workrave 1.10.4
** Fix gnome-shell applet for Gnome 3.12.
* Workrave 1.10.3
** Bug fixes
- bug 1113: Unity Indicator icon doesn't change when in suspended mode
- bug 1114: Closing timer window closes program.
- bug 1120: make the GNOME shell extension compatible with GNOME 3.8
- bug 1136: Status window always appears on startup
- bug 1137: Make Workrave start up optional
- bug 1146: dconf changes not honored for /org/workrave/general/operation-mode
- bug 1147: Suspend timer during screensaver
- bug 1148: Double deallocation causes crashes during Workrave shutdown
- Fix Workrave icon on Unity
- Fix size of prelude window
- Fix size of unity indicator timebar
- Fixed compatibility with gnome-shell 3.10
- Allow Gnome Shell status icon to be enabled/disabled
Comment 1 Arne Babenhauserheide 2014-12-23 09:34:10 UTC
Created attachment 392252 [details]
workrave-1.10.5.ebuild

Ebuild for workrave 1.10.5 built from the source tarballs from github (runs autotools).
Comment 2 Arne Babenhauserheide 2014-12-23 11:01:26 UTC
Created attachment 392264 [details]
workrave-1.10.5.ebuild

Version of the ebuild with more useflags.
Comment 3 Arne Babenhauserheide 2014-12-23 11:02:25 UTC
Created attachment 392266 [details]
metadata.xml

new useflag descriptions.
Comment 4 Arne Babenhauserheide 2014-12-23 11:07:16 UTC
Created attachment 392268 [details]
workrave-1.10.5.ebuild

Provide exercises by default.
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2014-12-23 12:33:16 UTC
Comment on attachment 392252 [details]
workrave-1.10.5.ebuild

--- workrave-1.10.1.ebuild
+++ workrave-1.10.5.ebuild
@@ -6,11 +6,14 @@
 GCONF_DEBUG="yes"
 PYTHON_COMPAT=( python2_{6,7} )

-inherit eutils gnome2 python-single-r1
+inherit eutils gnome2 python-single-r1 versionator autotools

 DESCRIPTION="Helpful utility to attack Repetitive Strain Injury (RSI)"
 HOMEPAGE="http://www.workrave.org/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+# SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+MY_PV=$(replace_all_version_separators '_')
+SRC_URI="https://github.com/rcaelers/${PN}/archive/v${MY_PV}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_PV}"

 LICENSE="GPL-3+"
 SLOT="0"
@@ -45,6 +48,8 @@
        x11-proto/recordproto
        dev-python/cheetah
        virtual/pkgconfig
+       sys-devel/autoconf
+       sys-devel/automake
        doc? (
                app-text/docbook-sgml-utils
                app-text/xmlto )
@@ -56,7 +61,10 @@
 }

 src_prepare() {
-       epatch "${FILESDIR}/${PN}-1.10.1-desktop.patch"
+       # epatch "${FILESDIR}/${PN}-1.10.1-desktop.patch"
+       einfo "Generating autotools files..."
+       eaclocal -I "${S}/m4" || die "aclocal failed"
+       ./autogen.sh || die "./autogen.sh failed"
        gnome2_src_prepare
 }
Comment 6 Jeroen Roovers (RETIRED) gentoo-dev 2014-12-23 12:36:25 UTC
Comment on attachment 392268 [details]
workrave-1.10.5.ebuild

># Copyright 1999-2014 Gentoo Foundation
># Distributed under the terms of the GNU General Public License v2
># $Header: /var/cvsroot/gentoo-x86/app-misc/workrave/workrave-1.10.1.ebuild,v 1.3 2014/07/23 15:13:29 ago Exp $
>
>EAPI=5
>GCONF_DEBUG="yes"
>PYTHON_COMPAT=( python2_{6,7} )
>
>inherit eutils gnome2 python-single-r1 versionator autotools

You have autotools.eclass inherited, so you don't need to add these:

>	sys-devel/autoconf
>	sys-devel/automake
Comment 7 Jeroen Roovers (RETIRED) gentoo-dev 2014-12-23 12:36:56 UTC
Comment on attachment 392266 [details]
metadata.xml

--- metadata.xml
+++ metadata.xml
@@ -11,5 +11,8 @@
 <use>
   <flag name="distribution">Enable networking.
     See http://www.workrave.org/features/</flag>
+  <flag name="exercises">Include exercises.</flag>
+  <flag name='appindicator'>Enable usage of appindicator to export menu options in to unity</flag>
+
 </use>
 </pkgmetadata>
Comment 8 Pacho Ramos gentoo-dev 2015-01-14 11:11:08 UTC
done
Comment 9 Arne Babenhauserheide 2015-01-14 13:42:30 UTC
Thank you!